# service
server:
  port: 9200
  servlet:
    context-path: /test   # 全局接口前缀

# condition
spel:
  scheduling: true       # 定时任务是否执行
  multiSource: true      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: mjava
    password: mjava@mc
    url: jdbc:mysql://47.100.206.177:33306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 主库
    primary:
      username: mjava
      password: mjava@mc
      jdbc-url: jdbc:mysql://47.100.206.177:33306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 从库
    slave:
      username: mjava
      password: mjava@mc
      jdbc-url: jdbc:mysql://47.100.206.177:33306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  # JPA
  jpa:
    hibernate:
      ddl-auto: none    # JPA对表没有任何操作
    show-sql: true
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# teambition
teambition:
  AppID: 63589b8bb6803e162f9a57d8
  AppSecret: 5mB3b73OFhSwo38xEVqahCLwQVhG1MW3
  TenantId: 5ca44db8ca4fd40001b10559

# aliwork
aliwork:
  appType: APP_GTK6SIE4MNVEEVPJLM7Z
  systemToken: IA766O61FNR42YWEEEKTB5QAEEP827UYE3M9LK11

# h3yun
h3yun:
  engineCode: vqvl30y6teuqgfydfolo4gqo2
  secret: mV17Rp3hqzwiSX9woQBqQyFLJVKuUSDaJclzr7VTlBJbhLZ1XUxTgA==

# ekuaibao
ekuaibao:
  corpId: -yQbjbywbc640011                # 易快报的 corpId
  platformApi: https://app.ekuaibao.com   # 易快报不同平台获取前缀的方式不同

# fxiaoke
fxiaoke:
  appId: FSAID_131becb
  appSecret: 1f516179d4e84ecba24752b0c4af5d02
  permanentCode: 317DA531616A1569F906D1F9A1C74D15
  corpId: FSCID_2DA12EC0A1DC7EF6FD68E5AA33F25D8A  # 纷享销客 corpId

# diwork
diwork:
  appKey: 09242de7dc2c44c0b2dbca1b389aa566
  appSecret: cf2b924ccb2b47f39bc9841a39ef4784

# dingtalk
dingtalk:
  agentId: 1419545139
  appKey: dingwzyfafywbucvf7mp
  appSecret: bpwYH1a0aFL5lPVT6W9wUYuA9jE_EOzM9PdKHe5baIwAcAYwL6HLUy-9Lahd7z-8
  corpId: ding0ddb25eeef0315d624f2f5cc6abecb85
  aesKey: JtkDqwLDjiidhtb24U58h2WxJx6EWfSzoPiiXIQxJzJ
  token: orDlKVufcdbz1sN8H9dFm61zpGFn7XRPishPk2CiZrpyN

# u8open
u8open:
  appKey: opa75c6cbdd6375068f
  appSecret: f2e79a74aa284b5e83be6f1cac84e4b6
  toAccount: test_zhixian666
  fromAccount: zhixian666

# feishu
feishu:
  appKey: cli_a2b72fadcafe100e
  appSecret: SUy4raAtpO3dgOasOfO43GU6YfaMnQ3Q
  encryptKey: DVeCYMQgcg5T8BpKnOIUkdsU8Rex1Ndx
  verToken: agS2kgO39Y59JSQUduNOahd64woiKvxf
